<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.app.mapper.AppVersionMapper">


    <select id="getAllByquery" parameterType="com.xxfc.platform.app.vo.appVersionQuery"
            resultType="com.xxfc.platform.app.entity.AppVersion">
        select * from app_version
        where is_del=0
        <if test="versionName !=null and versionName != ''">
          and  version_name like concat('%',#{versionName},'%')
        </if>

        <if test="version !=null and version != ''">
         and   version like concat('%',#{version},'%')
        </if>

        <if test="content != null and content != ''">
          and  content like concat('%',#{content},'%')
        </if>
         order by crt_time  desc
    </select>
</mapper>